提交 58eaf287 编写于 作者: J Junio C Hamano

Merge refs/heads/master from .

MAN1_TXT=$(wildcard git-*.txt)
MAN7_TXT=git.txt
DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT)) glossary.html
DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT))
DOC_HTML += glossary.html
DOC_HTML += tutorial.html
DOC_MAN1=$(patsubst %.txt,%.1,$(MAN1_TXT))
DOC_MAN7=$(patsubst %.txt,%.7,$(MAN7_TXT))
......@@ -59,3 +60,5 @@ glossary.html : glossary.txt sort_glossary.pl
perl sort_glossary.pl | \
asciidoc -b xhtml11 - > glossary.html
tutorial.html : tutorial.txt
asciidoc -b xhtml11 tutorial.txt
git-add-script(1)
=================
NAME
----
git-add-script - Some git command not yet documented.
SYNOPSIS
--------
'git-add-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-applymbox(1)
================
NAME
----
git-applymbox - Some git command not yet documented.
SYNOPSIS
--------
'git-applymbox' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-applypatch(1)
=================
NAME
----
git-applypatch - Some git command not yet documented.
SYNOPSIS
--------
'git-applypatch' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-bisect-script(1)
====================
NAME
----
git-bisect-script - Some git command not yet documented.
SYNOPSIS
--------
'git-bisect-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-branch-script(1)
====================
NAME
----
git-branch-script - Some git command not yet documented.
SYNOPSIS
--------
'git-branch-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org> and Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-build-rev-cache(1)
======================
NAME
----
git-build-rev-cache - Some git command not yet documented.
SYNOPSIS
--------
'git-build-rev-cache' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-checkout-script(1)
======================
NAME
----
git-checkout-script - Some git command not yet documented.
SYNOPSIS
--------
'git-checkout-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-cherry(1)
=============
NAME
----
git-cherry - Some git command not yet documented.
SYNOPSIS
--------
'git-cherry' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-clone-dumb-http(1)
======================
NAME
----
git-clone-dumb-http - Some git command not yet documented.
SYNOPSIS
--------
'git-clone-dumb-http' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-count-objects-script(1)
===========================
NAME
----
git-count-objects-script - Some git command not yet documented.
SYNOPSIS
--------
'git-count-objects-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-daemon(1)
=============
NAME
----
git-daemon - Some git command not yet documented.
SYNOPSIS
--------
'git-daemon' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org> and YOSHIFUJI Hideaki <yoshfuji@linux-ipv6.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-diff-script(1)
==================
NAME
----
git-diff-script - Some git command not yet documented.
SYNOPSIS
--------
'git-diff-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-format-patch-script(1)
==========================
NAME
----
git-format-patch-script - Some git command not yet documented.
SYNOPSIS
--------
'git-format-patch-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-get-tar-commit-id(1)
========================
NAME
----
git-get-tar-commit-id - Some git command not yet documented.
SYNOPSIS
--------
'git-get-tar-commit-id' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Rene Scharfe <rene.scharfe@lsrfire.ath.cx>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-mailinfo(1)
===============
NAME
----
git-mailinfo - Some git command not yet documented.
SYNOPSIS
--------
'git-mailinfo' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-mailsplit(1)
================
NAME
----
git-mailsplit - Some git command not yet documented.
SYNOPSIS
--------
'git-mailsplit' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-patch-id(1)
===============
NAME
----
git-patch-id - Some git command not yet documented.
SYNOPSIS
--------
'git-patch-id' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-push-script(1)
==================
NAME
----
git-push-script - Some git command not yet documented.
SYNOPSIS
--------
'git-push-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-rebase-script(1)
====================
NAME
----
git-rebase-script - Some git command not yet documented.
SYNOPSIS
--------
'git-rebase-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-relink-script(1)
====================
NAME
----
git-relink-script - Some git command not yet documented.
SYNOPSIS
--------
'git-relink-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Ryan Anderson <ryan@michonline.com>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-request-pull-script(1)
==========================
NAME
----
git-request-pull-script - Some git command not yet documented.
SYNOPSIS
--------
'git-request-pull-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Ryan Anderson <ryan@michonline.com> and Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-reset-script(1)
===================
NAME
----
git-reset-script - Some git command not yet documented.
SYNOPSIS
--------
'git-reset-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net> and Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-rev-parse(1)
================
NAME
----
git-rev-parse - Some git command not yet documented.
SYNOPSIS
--------
'git-rev-parse' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org> and Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-revert-script(1)
====================
NAME
----
git-revert-script - Some git command not yet documented.
SYNOPSIS
--------
'git-revert-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-sh-setup-script(1)
======================
NAME
----
git-sh-setup-script - Some git command not yet documented.
SYNOPSIS
--------
'git-sh-setup-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-show-rev-cache(1)
=====================
NAME
----
git-show-rev-cache - Some git command not yet documented.
SYNOPSIS
--------
'git-show-rev-cache' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Junio C Hamano <junkio@cox.net>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-stripspace(1)
=================
NAME
----
git-stripspace - Some git command not yet documented.
SYNOPSIS
--------
'git-stripspace' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Linus Torvalds <torvalds@osdl.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
git-verify-tag-script(1)
========================
NAME
----
git-verify-tag-script - Some git command not yet documented.
SYNOPSIS
--------
'git-verify-tag-script' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Jan Harkes <jaharkes@cs.cmu.edu> and Eric W. Biederman <ebiederm@xmission.com>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
......@@ -205,7 +205,7 @@ link:git-fetch-script.html[git-fetch-script]::
link:git-pull-script.html[git-pull-script]::
Fetch from and merge with a remote repository.
link:git-commit-script.html[git-commit-script]::
ulink:git-commit-script.html[git-commit-script]::
Record changes to the repository.
link:git-show-branch.html[git-show-branch]::
......@@ -259,6 +259,97 @@ link:git-send-email-script.html[git-send-email]::
Send patch e-mails out of "format-patch --mbox" output.
Commands not yet documented
---------------------------
link:git-applymbox.html[git-applymbox]::
git-applymbox.
link:git-applypatch.html[git-applypatch]::
git-applypatch.
link:git-mailinfo.html[git-mailinfo]::
git-mailinfo.
link:git-mailsplit.html[git-mailsplit]::
git-mailsplit.
link:git-add-script.html[git-add-script]::
git-add-script.
link:git-bisect-script.html[git-bisect-script]::
git-bisect-script.
link:git-branch-script.html[git-branch-script]::
git-branch-script.
link:git-build-rev-cache.html[git-build-rev-cache]::
git-build-rev-cache.
link:git-checkout-script.html[git-checkout-script]::
git-checkout-script.
link:git-cherry.html[git-cherry]::
git-cherry.
link:git-clone-dumb-http.html[git-clone-dumb-http]::
git-clone-dumb-http.
link:git-count-objects-script.html[git-count-objects-script]::
git-count-objects-script.
link:git-daemon.html[git-daemon]::
git-daemon.
link:git-diff-script.html[git-diff-script]::
git-diff-script.
link:git-format-patch-script.html[git-format-patch-script]::
git-format-patch-script.
link:git-get-tar-commit-id.html[git-get-tar-commit-id]::
git-get-tar-commit-id.
link:git-patch-id.html[git-patch-id]::
git-patch-id.
link:git-push-script.html[git-push-script]::
git-push-script.
link:git-rebase-script.html[git-rebase-script]::
git-rebase-script.
link:git-relink-script.html[git-relink-script]::
git-relink-script.
link:git-request-pull-script.html[git-request-pull-script]::
git-request-pull-script.
link:git-reset-script.html[git-reset-script]::
git-reset-script.
link:git-rev-parse.html[git-rev-parse]::
git-rev-parse.
link:git-revert-script.html[git-revert-script]::
git-revert-script.
link:git-sh-setup-script.html[git-sh-setup-script]::
git-sh-setup-script.
link:git-show-rev-cache.html[git-show-rev-cache]::
git-show-rev-cache.
link:git-stripspace.html[git-stripspace]::
git-stripspace.
link:git-verify-tag-script.html[git-verify-tag-script]::
git-verify-tag-script.
link:gitk.html[gitk]::
gitk.
Identifier Terminology
----------------------
<object>::
......
gitk(1)
=======
NAME
----
gitk - Some git command not yet documented.
SYNOPSIS
--------
'gitk' [ --option ] <args>...
DESCRIPTION
-----------
Does something not yet documented.
OPTIONS
-------
--option::
Some option not yet documented.
<args>...::
Some argument not yet documented.
Author
------
Written by Paul Mackerras <paulus@samba.org>
Documentation
--------------
Documentation by Junio C Hamano and the git-list <git@vger.kernel.org>.
GIT
---
Part of the link:git.html[git] suite
此差异已折叠。
#!/bin/sh
rev=($(git-rev-parse --revs-only "$@")) || exit
flags=($(git-rev-parse --no-revs --flags "$@"))
files=($(git-rev-parse --no-revs --no-flags "$@"))
case "${#rev[*]}" in
0)
git-diff-files -M -p "$@";;
1)
git-diff-cache -M -p "$@";;
2)
case "${rev[1]}" in
^?*)
begin=$(echo "${rev[1]}" | tr -d '^')
end="${rev[0]}" ;;
*)
begin="${rev[0]}"
end="${rev[1]}" ;;
esac
git-diff-tree -M -p $flags $begin $end $files;;
#
# Copyright (c) 2005 Linus Torvalds
# Copyright (c) 2005 Junio C Hamano
rev=$(git-rev-parse --revs-only --no-flags --sq "$@") || exit
flags=$(git-rev-parse --no-revs --flags --sq "$@")
files=$(git-rev-parse --no-revs --no-flags --sq "$@")
: ${flags:="'-M' '-p'"}
case "$rev" in
?*' '?*' '?*)
die "I don't understand"
;;
?*' '^?*)
begin=$(expr "$rev" : '.*^.\([0-9a-f]*\).*') &&
end=$(expr "$rev" : '.\([0-9a-f]*\). .*') || exit
cmd="git-diff-tree $flags $begin $end $files"
;;
?*' '?*)
cmd="git-diff-tree $flags $rev $files"
;;
?*' ')
cmd="git-diff-cache $flags $rev $files"
;;
'')
cmd="git-diff-files $flags $files"
;;
*)
echo "I don't understand"
exit 1;;
die "I don't understand $*"
;;
esac
eval "$cmd"
#!/bin/sh
. git-sh-setup-script || die "Not a git archive"
revs=$(git-rev-parse --revs-only --default HEAD "$@")
revs=$(git-rev-parse --revs-only --default HEAD "$@") || exit
[ "$revs" ] || die "No HEAD ref"
git-rev-list --pretty $(git-rev-parse --default HEAD "$@") | LESS=-S ${PAGER:-less}
#!/bin/sh
. git-sh-setup-script || die "Not a git archive"
tmp=/var/tmp/reset.$$
trap 'rm -f $tmp-*' 0 1 2 3 15
reset_type=--mixed
case "$1" in
--mixed | --soft | --hard)
reset_type="$1"
shift
;;
esac
rev=$(git-rev-parse --verify --default HEAD "$@") || exit
rev=$(git-rev-parse --verify $rev^0) || exit
git-read-tree --reset "$rev" && {
if orig=$(git-rev-parse --verify HEAD 2>/dev/null)
# We need to remember the set of paths that _could_ be left
# behind before a hard reset, so that we can remove them.
if test "$reset_type" = "--hard"
then
{
git-ls-files --stage -z
git-rev-parse --verify HEAD 2>/dev/null &&
git-ls-tree -r -z HEAD
} | perl -e '
use strict;
my %seen;
$/ = "\0";
while (<>) {
chomp;
my ($info, $path) = split(/\t/, $_);
next if ($info =~ / tree /);
if (!$seen{$path}) {
$seen{$path} = 1;
print "$path\0";
}
}
' >$tmp-exists
fi
# Soft reset does not touch the index file nor the working tree
# at all, but requires them in a good order. Other resets reset
# the index file to the tree object we are switching to.
if test "$reset_type" = "--soft"
then
if test -f "$GIT_DIR/MERGE_HEAD" ||
test "" != "$(git-ls-files --unmerged)"
then
echo "$orig" >"$GIT_DIR/ORIG_HEAD"
die "Cannot do a soft reset in the middle of a merge."
fi
echo "$rev" > "$GIT_DIR/HEAD"
}
git-update-cache --refresh
else
git-read-tree --reset "$rev" || exit
fi
# Any resets update HEAD to the head being switched to.
if orig=$(git-rev-parse --verify HEAD 2>/dev/null)
then
echo "$orig" >"$GIT_DIR/ORIG_HEAD"
else
rm -f "$GIT_DIR/ORIG_HEAD"
fi
echo "$rev" >"$GIT_DIR/HEAD"
case "$reset_type" in
--hard )
# Hard reset matches the working tree to that of the tree
# being switched to.
git-checkout-cache -f -u -q -a
git-ls-files --cached -z |
perl -e '
use strict;
my (%keep, $fh);
$/ = "\0";
while (<STDIN>) {
chomp;
$keep{$_} = 1;
}
open $fh, "<", $ARGV[0]
or die "cannot open $ARGV[0]";
while (<$fh>) {
chomp;
if (! exists $keep{$_}) {
print "$_\0";
}
}
' $tmp-exists | xargs -0 rm -v -f --
;;
--soft )
;; # Nothing else to do
--mixed )
# Report what has not been updated.
git-update-cache --refresh
;;
esac
rm -f "$GIT_DIR/MERGE_HEAD"
......@@ -481,6 +481,7 @@ static void handle_one_commit(struct commit *com, struct commit_list **lst)
int main(int argc, char **argv)
{
struct commit_list *list = NULL;
const char *prefix = setup_git_directory();
int i, limited = 0;
for (i = 1 ; i < argc; i++) {
......
......@@ -107,7 +107,7 @@ static void show_arg(char *arg)
if (do_rev_argument && is_rev_argument(arg))
show_rev_arg(arg);
else
show_norev(arg);
show(arg);
}
static void show_default(void)
......@@ -122,7 +122,7 @@ static void show_default(void)
show_rev(NORMAL, sha1, s);
return;
}
show_arg(s);
show_norev(s);
}
}
......@@ -149,7 +149,7 @@ int main(int argc, char **argv)
if (*arg == '-') {
if (!strcmp(arg, "--")) {
show_default();
if (revs_only)
if (revs_only || flags_only)
break;
as_is = 1;
}
......
Markdown is supported
0% .
You are about to add 0 people to the discussion. Proceed with caution.
先完成此消息的编辑!
想要评论请 注册